### org.jfree.layouting.renderer.process

# Class PaginationStep

- `java.lang.Object`
- - `org.jfree.layouting.renderer.process.IterateVisualProcessStep`
  - - `org.jfree.layouting.renderer.process.PaginationStep`

`public class PaginationStep`
`extends IterateVisualProcessStep`

Computes the pagination. This step checks, whether content crosses an inner or outer page boundary. In that case, the content is shifted downwards to the next page and then marked as sticky (so it wont move any further later; this prevents infinite loops).

This kind of shifting does not apply to inline-elements - they get shifted when their linebox gets shifted.

Author:
  Thomas Morgner

  ## Constructor Summary

  `PaginationStep()`

  ## Method Summary

  `protected void`

  `finishLine(ParagraphPoolBox inlineRenderBox)`

  `long`

  `getNextOffset()`

  `boolean`

  `performPagebreak(LogicalPageBox pageBox)`

  `protected void`

  `processBlockLevelChild(RenderNode node)`

  `protected void`

  `processBlockLevelNode(RenderNode node)`

  `protected void`

  `processParagraphChilds(ParagraphRenderBox box)`

  `protected void`

  `processTable(TableRenderBox table)`

  `protected boolean`

  `startBlockLevelBox(RenderBox box)`

  `protected boolean`

  `startInlineLevelBox(RenderBox box)`

  `protected boolean`

  `startLine(ParagraphPoolBox box)`

  ### Methods inherited from class org.jfree.layouting.renderer.process.IterateVisualProcessStep

  `finishBlockLevelBox`, `finishInlineLevelBox`, `processBlockLevelChild`, `processBlockLevelNode`, `processBoxChilds`, `processFlow`, `processInlineLevelChild`, `processInlineLevelNode`, `processOtherLevelChild`, `processParagraphChilds`, `startBlockLevelBox`, `startInlineLevelBox`, `startProcessing`

## Constructor Details

### PaginationStep

    public PaginationStep()

## Method Details

### finishLine

    protected void finishLine(ParagraphPoolBox inlineRenderBox)

### getNextOffset

    public long getNextOffset()

### performPagebreak

    public boolean performPagebreak(LogicalPageBox pageBox)

### processBlockLevelChild

    protected void processBlockLevelChild(RenderNode node)

> Overrides:
>   processBlockLevelChild in interface IterateVisualProcessStep

### processBlockLevelNode

    protected void processBlockLevelNode(RenderNode node)

> Overrides:
>   processBlockLevelNode in interface IterateVisualProcessStep

### processParagraphChilds

    protected void processParagraphChilds(ParagraphRenderBox box)

> Overrides:
>   processParagraphChilds in interface IterateVisualProcessStep

### processTable

    protected void processTable(TableRenderBox table)

### startBlockLevelBox

    protected boolean startBlockLevelBox(RenderBox box)

> Overrides:
>   startBlockLevelBox in interface IterateVisualProcessStep

### startInlineLevelBox

    protected boolean startInlineLevelBox(RenderBox box)

> Overrides:
>   startInlineLevelBox in interface IterateVisualProcessStep

### startLine

    protected boolean startLine(ParagraphPoolBox box)